Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.lifecycle
Class LifecycleDateRule

All Known Implementing Classes:
  DailyLifecycleDateRule, ImmediateLifecycleDateRule, LifecycleDateRuleAdapter, MonthlyLifecycleDateRule

    public interface class LifecycleDateRule

Interface used to determine the LifecycleDate of Documents whose lifecycle is being managed by a LifecyclePolicy.

Method Summary
`java.util.Date` | `getLifecycleDate(java.util.Date createDate)` Determine the LifecycleDate based on a creation date and the specified LifecyclePolicy.
`java.util.Date` | `getLifecycleDate(Document doc)` Determine the LifecycleDate for the specified document and the specified LifecyclePolicy.
`void` | `initialize(LifecycleDateRuleSpecification ldrs)` Initialize this instance.

Method Detail

### initialize

    void initialize(LifecycleDateRuleSpecification ldrs)
                    throws IfsException

  Description copied from interface: `LifecycleDateRule`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be used concurrently by multiple threads.

  Parameters:
    `ldrs` - the LifecycleDateRuleSpecification that references this instance
  Throws:
    `IfsException` - if the operation fails

### getLifecycleDate

    java.util.Date getLifecycleDate(Document doc)
                                    throws IfsException

  Description copied from interface: `LifecycleDateRule`
  Determine the LifecycleDate for the specified document and the specified LifecyclePolicy.

  This variant assumes the document has been created and that the LifecyclePolicy specified during initialization is being assigned to the document.

  Parameters:
    `doc` - the Document
  Returns:
    the LifecycleDate to use for the document
  Throws:
    `IfsException` - if the operation fails

### getLifecycleDate

    java.util.Date getLifecycleDate(java.util.Date createDate)
                                    throws IfsException

  Description copied from interface: `LifecycleDateRule`
  Determine the LifecycleDate based on a creation date and the specified LifecyclePolicy.

  This variant takes a document creation date and a LifecyclePolicy, and is typically used when creating a document and assigning a LifecyclePolicy at the same time.

  Parameters:
    `createDate` - the creation date of a Document being created
  Returns:
    the LifecycleDate to use for the document
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD